org.apache.hadoop.yarn.client.cli

## Class QueueCLI

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.hadoop.yarn.client.cli.YarnCLI
    - - org.apache.hadoop.yarn.client.cli.QueueCLI

- All Implemented Interfaces:
    org.apache.hadoop.conf.Configurable, org.apache.hadoop.util.Tool

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class QueueCLI
      extends YarnCLI

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `QUEUE`

    - ### Fields inherited from class org.apache.hadoop.yarn.client.cli.YarnCLI

      `client, FAIL_CMD, HELP_CMD, KILL_CMD, LIST_CMD, MOVE_TO_QUEUE_CMD, SIGNAL_CMD, STATUS_CMD, syserr, sysout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueueCLI()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`
    `int` | `run(String[] args)`

    - ### Methods inherited from class org.apache.hadoop.yarn.client.cli.YarnCLI

      `createAndStartYarnClient, createYarnClient, getClient, setClient, setSysErrPrintStream, setSysOutPrintStream, stop`

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf, setConf`

- - ### Field Detail

    - #### QUEUE

          public static final String QUEUE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### QueueCLI

          public QueueCLI()

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

    - #### run

          public int run(String[] args)
                  throws Exception

      Throws:
        `Exception`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.